using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF
{
    public class AufenthaltResult
    {
        Aufenthalt _aufenthalt;
        LKFLine _x05;

        internal AufenthaltResult (Aufenthalt aufenthalt, LKFLine x05)
        {
            _aufenthalt = aufenthalt;
            _x05 = x05;
        }

        public string GetX05Value (int position)
        {
            return _x05[position];
        }

        public string GRUPPE
        {
            get
            {
                return _x05[5];
            }
        }

        public string KNOTEN
        {
            get
            {
                return _x05[6];
            }
        }

        public string sPLK
        {
            get
            {
                return _x05[7];
            }
        }

        public string sPTK
        {
            get
            {
                return _x05[8];
            }
        }

        public string sSCULK
        {
            get
            {
                return _x05[9];
            }
        }

        public string sSCUTK
        {
            get
            {
                return _x05[10];
            }
        }

        public string sVDZU
        {
            get
            {
                return _x05[11];
            }
        }

        public string sINTZU
        {
            get
            {
                return _x05[12];
            }
        }

        public string sMELZU
        {
            get
            {
                return _x05[13];
            }
        }

        public string sSPEZ
        {
            get
            {
                return _x05[14];
            }
        }

        public string sGESAMT
        {
            get
            {
                return _x05[15];
            }
        }

        public int PLK
        {
            get
            {
                return _x05.GetInt(7);
            }
        }

        public int PTK
        {
            get
            {
                return _x05.GetInt(8);
            }
        }

        public int SCULK
        {
            get
            {
                return _x05.GetInt(9);
            }
        }

        public int SCUTK
        {
            get
            {
                return _x05.GetInt(10);
            }
        }

        public int VDZU
        {
            get
            {
                return _x05.GetInt(11);
            }
        }

        public int INTZU
        {
            get
            {
                return _x05.GetInt(12);
            }
        }

        public int MELZU
        {
            get
            {
                return _x05.GetInt(13);
            }
        }

        public int SPEZ
        {
            get
            {
                return _x05.GetInt(14);
            }
        }

        public int GESAMT
        {
            get
            {
                return _x05.GetInt(15);
            }
        }

    }
}
